Package org.linphone.core

# Enum Class AVPFMode

java.lang.Object
java.lang.Enum<AVPFMode>
org.linphone.core.AVPFMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AVPFMode>`, `Constable`

public enum AVPFMode extends Enum<AVPFMode>
Enum describing RTP AVPF activation modes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Default`
Use default value defined at upper level.
`Disabled`
AVPF is disabled.
`Enabled`
AVPF is enabled.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AVPFMode`
`fromInt(int value)`
`protected static AVPFMode[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(AVPFMode[] values)`
`static AVPFMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AVPFMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Default

public static final AVPFMode Default
Use default value defined at upper level.

### Disabled

public static final AVPFMode Disabled
AVPF is disabled.

### Enabled

public static final AVPFMode Enabled
AVPF is enabled.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AVPFMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AVPFMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AVPFMode fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static AVPFMode[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(AVPFMode[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()